
Summary:        Pek Window Manager
Name:           pekwm
Version:        0.1.17
Release:        %mkrel 1
License:        GPLv2
Group:          Graphical desktop/Other
URL:            http://pekwm.org/trac
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:         http://pekwm.org/files/pekwm-%{version}.tar.xz
BuildRequires:  gcc-c++ pcre-devel libpng-devel libjpeg-devel
BuildRequires:  freetype2-devel

%description
The Pek Window Manager is written by Claes Nästen, the code is
based on the aewm++ window manager, but it has evolved enough that
it no longer resembles aewm++ at all. It has a much expanded
feature-set, including window grouping (similar to ion, pwm, or
fluxbox), autoproperties, xinerama, keygrabber that supports
keychains, and much more.

- Lightweight and Unobtrusive, a window manager shouldn't be
  noticed.
- Very configurable, we all work and think in different ways. 
- Automatic properties, for all the lazy people, make things appear
  as they should when starting applications. 
- Chainable Keygrabber, usability for everyone.


%prep
%setup

%build

./autogen.sh

%configure2_5x \
       --enable-xinerama \
       --sysconfdir=%{_sysconfdir}/X11
%{make}

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot%_datadir/xsessions
cat > %buildroot%_datadir/xsessions/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=start%{name}
TryExec=start%{name}
Name=pekwm
EOF

# session file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/30%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF

# startfile
cat > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/start%{name}

#unused by pclos
rm -f %buildroot/%{_datadir}/xsessions/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
%{make_session}

%postun
%{make_session}



%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/X11/%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/30%{name}
%{_bindir}/pekwm
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_bindir}/start%{name}

%changelog
* Tue Jan 29 2020 tex - 0.1.17-1pclos2020
- add back to repo
